complexType "NotificationMessage"

Namespace: | http://www.fpml.org/FpML-5/transparency
Content: | complex, 3 attributes, 5 elements
Abstract: | (cannot be assigned directly to elements used in instance XML documents)
Defined: | globally in fpml-msg-5-3.xsd; see XML source
Includes: | definition of 1 element
Used: | at 1 location

Content Model Diagram

XML Representation Summary
<...
fpmlVersion | = | xsd:token
expectedBuild | = | xsd:positiveInteger
actualBuild | = | "4"
| >
Content: | header?, (parentCorrelationId?, correlationId[0..2], sequenceNumber??)?, onBehalfOf[0..4]?
</...>

Content Model Elements (5):

  correlationId, header (in serviceNotification), onBehalfOf (defined in OnBehalfOf.model group), | parentCorrelationId, sequenceNumber (defined in Sequence.model group)

Known Direct Subtypes (1):

  ServiceNotification

All Direct / Indirect Based Elements (1):

  serviceNotification

Known Usage Locations

- In derivations of other global types (1):
  ServiceNotification (as extension base)

Annotation
A type defining the basic content for a message sent to inform another system that some 'business event' has occured. Notifications are not expected to be replied to.
Type Definition Detail

Type Derivation Tree Document (extension) Message (extension) NotificationMessage

XML Source (w/o annotations (1); see within schema source)

<xsd:complexType abstract="true" name="NotificationMessage"> <xsd:complexContent> <xsd:extension base="Message"> <xsd:sequence> <xsd:element minOccurs="0" name="header" type="NotificationMessageHeader"/> <!--View Generation: SKIPPED - Unsupported--> <xsd:group minOccurs="0" ref="CorrelationAndOptionalSequence.model"/> <xsd:group minOccurs="0" ref="OnBehalfOf.model"/> </xsd:sequence> </xsd:extension> </xsd:complexContent> </xsd:complexType>

Content Element Detail (all declarations; defined within this component only; 1/5)
header

  Type: | NotificationMessageHeader, complex content

  XML Source (see within schema source)

  <xsd:element minOccurs="0" name="header" type="NotificationMessageHeader"/>

XML schema documentation generated with DocFlex/XML 1.8.6b2 using DocFlex/XML XSDDoc 2.5.1 template set. All content model diagrams generated by Altova XMLSpy via DocFlex/XML XMLSpy Integration.